



















































      INTEGER      MAXPHI, MAXECLS, MAXEATM, NTIT, MAXTIT, MAXPHST
      INTEGER      PHSTART, PHEND, PHSTEP, NUMTIT, MAXLARCAV, IMPGRPNUM
      PARAMETER    (MAXPHI=201)
      PARAMETER    (MAXECLS=70)
      PARAMETER    (MAXEATM=40)
      PARAMETER    (NTIT=15)
      PARAMETER    (MAXTIT=600)
      PARAMETER    (MAXPHST=200)
      PARAMETER    (MAXLARCAV=500)
      PARAMETER    (IMPGRPNUM=150)
      INTEGER      STATES(2**NTIT,NTIT), ACIBAS(MAXTIT), TITRES(MAXTIT)
      INTEGER      ARGAT(100), GRPS, GROUP(MAXTIT), PROTPOS(MAXAT)
      REAL         STAENE(2**NTIT), INTENE(MAXTIT,MAXTIT,4)
      REAL         INTPKA(MAXTIT), PKA(MAXTIT), PROTSTAT(MAXTIT)
      REAL         PHILIN(MAXPHI**3), CHGRES(MAXAA)
      REAL         TICHA(MAXTIT,MAXPHST)
      REAL         EDESOLV(MAXTIT), EBACKGR(MAXTIT)

      EQUIVALENCE  (PHILIN, ESPACE(1000001))

      COMMON      /ELECT1/
     +             CHGRES, STATES, ACIBAS, STAENE, INTENE, INTPKA, 
     +             TITRES, PHSTART, PHEND, PHSTEP, NUMTIT, TICHA,
     +             ARGAT, PKA, PROTSTAT, EDESOLV, EBACKGR, GRPS,
     +             GROUP, PROTPOS
